// Generated by gir (https://github.com/gtk-rs/gir @ d7c0763cacbc)
// from gir-files (https://github.com/gtk-rs/gir-files @ 4d1189172a70)
// DO NOT EDIT

#include "manual.h"
#include <stdalign.h>
#include <stdio.h>

int main() {
    printf("%s;%zu;%zu\n", "GeglAbyssPolicy", sizeof(GeglAbyssPolicy), alignof(GeglAbyssPolicy));
    printf("%s;%zu;%zu\n", "GeglAccessMode", sizeof(GeglAccessMode), alignof(GeglAccessMode));
    printf("%s;%zu;%zu\n", "GeglAudioFragment", sizeof(GeglAudioFragment), alignof(GeglAudioFragment));
    printf("%s;%zu;%zu\n", "GeglAudioFragmentClass", sizeof(GeglAudioFragmentClass), alignof(GeglAudioFragmentClass));
    printf("%s;%zu;%zu\n", "GeglBablVariant", sizeof(GeglBablVariant), alignof(GeglBablVariant));
    printf("%s;%zu;%zu\n", "GeglBlitFlags", sizeof(GeglBlitFlags), alignof(GeglBlitFlags));
    printf("%s;%zu;%zu\n", "GeglBufferIterator", sizeof(GeglBufferIterator), alignof(GeglBufferIterator));
    printf("%s;%zu;%zu\n", "GeglBufferIteratorItem", sizeof(GeglBufferIteratorItem), alignof(GeglBufferIteratorItem));
    printf("%s;%zu;%zu\n", "GeglBufferMatrix2", sizeof(GeglBufferMatrix2), alignof(GeglBufferMatrix2));
    printf("%s;%zu;%zu\n", "GeglCachePolicy", sizeof(GeglCachePolicy), alignof(GeglCachePolicy));
    printf("%s;%zu;%zu\n", "GeglColor", sizeof(GeglColor), alignof(GeglColor));
    printf("%s;%zu;%zu\n", "GeglColorClass", sizeof(GeglColorClass), alignof(GeglColorClass));
    printf("%s;%zu;%zu\n", "GeglCurve", sizeof(GeglCurve), alignof(GeglCurve));
    printf("%s;%zu;%zu\n", "GeglCurveClass", sizeof(GeglCurveClass), alignof(GeglCurveClass));
    printf("%s;%zu;%zu\n", "GeglDistanceMetric", sizeof(GeglDistanceMetric), alignof(GeglDistanceMetric));
    printf("%s;%zu;%zu\n", "GeglDitherMethod", sizeof(GeglDitherMethod), alignof(GeglDitherMethod));
    printf("%s;%zu;%zu\n", "GeglLookup", sizeof(GeglLookup), alignof(GeglLookup));
    printf("%s;%zu;%zu\n", "GeglMapFlags", sizeof(GeglMapFlags), alignof(GeglMapFlags));
    printf("%s;%zu;%zu\n", "GeglMatrix3", sizeof(GeglMatrix3), alignof(GeglMatrix3));
    printf("%s;%zu;%zu\n", "GeglMetadataHashClass", sizeof(GeglMetadataHashClass), alignof(GeglMetadataHashClass));
    printf("%s;%zu;%zu\n", "GeglMetadataInterface", sizeof(GeglMetadataInterface), alignof(GeglMetadataInterface));
    printf("%s;%zu;%zu\n", "GeglMetadataIter", sizeof(GeglMetadataIter), alignof(GeglMetadataIter));
    printf("%s;%zu;%zu\n", "GeglMetadataMap", sizeof(GeglMetadataMap), alignof(GeglMetadataMap));
    printf("%s;%zu;%zu\n", "GeglMetadataStore", sizeof(GeglMetadataStore), alignof(GeglMetadataStore));
    printf("%s;%zu;%zu\n", "GeglMetadataStoreClass", sizeof(GeglMetadataStoreClass), alignof(GeglMetadataStoreClass));
    printf("%s;%zu;%zu\n", "GeglOrientation", sizeof(GeglOrientation), alignof(GeglOrientation));
    printf("%s;%zu;%zu\n", "GeglPadType", sizeof(GeglPadType), alignof(GeglPadType));
    printf("%s;%zu;%zu\n", "GeglParamSpecDouble", sizeof(GeglParamSpecDouble), alignof(GeglParamSpecDouble));
    printf("%s;%zu;%zu\n", "GeglParamSpecEnum", sizeof(GeglParamSpecEnum), alignof(GeglParamSpecEnum));
    printf("%s;%zu;%zu\n", "GeglParamSpecFormat", sizeof(GeglParamSpecFormat), alignof(GeglParamSpecFormat));
    printf("%s;%zu;%zu\n", "GeglParamSpecInt", sizeof(GeglParamSpecInt), alignof(GeglParamSpecInt));
    printf("%s;%zu;%zu\n", "GeglParamSpecSeed", sizeof(GeglParamSpecSeed), alignof(GeglParamSpecSeed));
    printf("%s;%zu;%zu\n", "GeglPath", sizeof(GeglPath), alignof(GeglPath));
    printf("%s;%zu;%zu\n", "GeglPathItem", sizeof(GeglPathItem), alignof(GeglPathItem));
    printf("%s;%zu;%zu\n", "GeglPathList", sizeof(GeglPathList), alignof(GeglPathList));
    printf("%s;%zu;%zu\n", "GeglPathPoint", sizeof(GeglPathPoint), alignof(GeglPathPoint));
    printf("%s;%zu;%zu\n", "GeglRectangle", sizeof(GeglRectangle), alignof(GeglRectangle));
    printf("%s;%zu;%zu\n", "GeglRectangleAlignment", sizeof(GeglRectangleAlignment), alignof(GeglRectangleAlignment));
    printf("%s;%zu;%zu\n", "GeglResolutionUnit", sizeof(GeglResolutionUnit), alignof(GeglResolutionUnit));
    printf("%s;%zu;%zu\n", "GeglSamplerType", sizeof(GeglSamplerType), alignof(GeglSamplerType));
    printf("%s;%zu;%zu\n", "GeglSerializeFlag", sizeof(GeglSerializeFlag), alignof(GeglSerializeFlag));
    printf("%s;%zu;%zu\n", "GeglSplitStrategy", sizeof(GeglSplitStrategy), alignof(GeglSplitStrategy));
    printf("%s;%zu;%zu\n", "GeglTileBackend", sizeof(GeglTileBackend), alignof(GeglTileBackend));
    printf("%s;%zu;%zu\n", "GeglTileBackendClass", sizeof(GeglTileBackendClass), alignof(GeglTileBackendClass));
    printf("%s;%zu;%zu\n", "GeglTileCommand", sizeof(GeglTileCommand), alignof(GeglTileCommand));
    printf("%s;%zu;%zu\n", "GeglTileCopyParams", sizeof(GeglTileCopyParams), alignof(GeglTileCopyParams));
    printf("%s;%zu;%zu\n", "GeglTileHandler", sizeof(GeglTileHandler), alignof(GeglTileHandler));
    printf("%s;%zu;%zu\n", "GeglTileHandlerClass", sizeof(GeglTileHandlerClass), alignof(GeglTileHandlerClass));
    printf("%s;%zu;%zu\n", "GeglTileSource", sizeof(GeglTileSource), alignof(GeglTileSource));
    printf("%s;%zu;%zu\n", "GeglTileSourceClass", sizeof(GeglTileSourceClass), alignof(GeglTileSourceClass));
    return 0;
}
